## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationOpenidAssociation

### Authentication::ezcAuthenticationOpenidAssociation

### Class ezcAuthenticationOpenidAssociation

Structure for defining an OpenID association between the server and the OpenID provider.

Source for this file: /Authentication/src/filters/openid/openid_association.php

    ezcBaseStruct
       |
       --ezcAuthenticationOpenidAssociation

Version: | //autogen//

### Member Variables

public string | `$handle` The handle given by the OpenID provider to this association.
public int | `$issued` The UNIX timestamp when the secret was generated.
public string | `$secret` The shared secret generated by the OpenID provider.
public string | `$type` The type of the association. Currently only 'HMAC-SHA1' is supported by the OpenID implementations.
public int | `$validity` The amount of seconds the association is valid.

### Method Summary

public static ezcAuthenticationOpenidAssociation | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcAuthenticationOpenidAssociation | `__construct( $handle , $secret , $issued , $validity , [ $type = 'HMAC-SHA1'] )` Constructs a new ezcAuthenticationOpenidAssociation object.

### Methods

#### __set_state

static ezcAuthenticationOpenidAssociation __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) | Associative array of data members for this class

#### __construct

ezcAuthenticationOpenidAssociation __construct( string $handle , string $secret , int $issued , int $validity , [string $type = 'HMAC-SHA1'] )

Constructs a new ezcAuthenticationOpenidAssociation object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$handle` | string | Handle given by the OpenID provider to the association
`$secret` | string | The shared secret generated by the OpenID provider
`$issued` | int | The UNIX timestamp when the secret was generated
`$validity` | int | The amount of seconds the aasociation is valid
`$type` | string | The type of the association. Default is 'HMAC-SHA1'

Documentation generated by phpDocumentor 1.4.3